Package org.apache.synapse.commons.emulator.http.dsl.dto.consumer

## Class IncomingMessage

- java.lang.Object
- - org.apache.synapse.commons.emulator.http.dsl.dto.consumer.IncomingMessage

-     public class IncomingMessage
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IncomingMessage()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `buildPathRegex​(String context)` |
    `boolean` | `isMatch​(HttpRequestContext requestContext)` |
    `static IncomingMessage` | `request()` |
    `IncomingMessage` | `withBody​(String body)` |
    `IncomingMessage` | `withHeader​(String name, String value)` |
    `IncomingMessage` | `withMethod​(io.netty.handler.codec.http.HttpMethod method)` |
    `IncomingMessage` | `withPath​(String path)` |
    `IncomingMessage` | `withQueryParameter​(String name, String value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IncomingMessage

          public IncomingMessage()

  - ### Method Detail

    - #### request

          public static IncomingMessage request()

    - #### withMethod

          public IncomingMessage withMethod​(io.netty.handler.codec.http.HttpMethod method)

    - #### withPath

          public IncomingMessage withPath​(String path)

    - #### withBody

          public IncomingMessage withBody​(String body)

    - #### withHeader

          public IncomingMessage withHeader​(String name,
                                            String value)

    - #### withQueryParameter

          public IncomingMessage withQueryParameter​(String name,
                                                    String value)

    - #### isMatch

          public boolean isMatch​(HttpRequestContext requestContext)

    - #### buildPathRegex

          public void buildPathRegex​(String context)